SoTransformSeparator(3)

NAME
SoTransformSeparator - The SoTransformSeparator class is a group node preserving the current transformations.

SYNOPSIS

#include <Inventor/nodes/SoTransformSeparator.h>

Inherits SoGroup.

  Public Member Functions
virtual SoType getTypeId (void) const
SoTransformSeparator (void)
SoTransformSeparator (int nChildren)
virtual void doAction (SoAction *action)
virtual void callback (SoCallbackAction *action)
virtual void GLRender (SoGLRenderAction *action)
virtual void pick (SoPickAction *action)
virtual void getBoundingBox (SoGetBoundingBoxAction *action)
virtual void getMatrix (SoGetMatrixAction *action)
virtual void getPrimitiveCount (SoGetPrimitiveCountAction *action)
virtual void audioRender (SoAudioRenderAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoTransformSeparator ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoTransformSeparator class is a group node preserving the current transformations. This node works like the SoSeparator group node, except that it only stores and restores the current model matrix transformation. Other appearance settings, like materials, textures, cameras, lights, etc, will affect the remaining parts of the scene graph after traversal, just like as for the SoGroup node.

FILE FORMAT/DEFAULTS:

TransformSeparator {
}

See also
    SoSeparator, SoGroup

Constructor & Destructor Documentation

  SoTransformSeparator::SoTransformSeparator (void)
Default constructor.

  SoTransformSeparator::SoTransformSeparator (int nChildren)
Constructor.

The argument should be the approximate number of children which is expected to be inserted below this node. The number need not be exact, as it is only used as a hint for better memory resource allocation.

  SoTransformSeparator::~SoTransformSeparator () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoTransformSeparator::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoTransformSeparator::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoGroup.

  const SoFieldData ** SoTransformSeparator::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoTransformSeparator::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoGroup.

  void SoTransformSeparator::doAction (SoAction * action) [virtual]
This function performs the typical operation of a node for any action.

Reimplemented from SoGroup.

  void SoTransformSeparator::callback (SoCallbackAction * action) [virtual]
Action method for SoCallbackAction.

Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph.

Reimplemented from SoGroup.

  void SoTransformSeparator::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoGroup.

  void SoTransformSeparator::pick (SoPickAction * action) [virtual]
Action method for SoPickAction.

Does common processing for SoPickAction action instances.

Reimplemented from SoGroup.

  void SoTransformSeparator::getBoundingBox (SoGetBoundingBoxAction * action) [virtual]
Action method for the SoGetBoundingBoxAction.

Calculates bounding box and center coordinates for node and modifies the values of the action to encompass the bounding box for this node and to shift the center point for the scene more towards the one for this node.

Nodes influencing how geometry nodes calculate their bounding box also override this method to change the relevant state variables.

Reimplemented from SoGroup.

  void SoTransformSeparator::getMatrix (SoGetMatrixAction * action) [virtual]
Action method for SoGetMatrixAction.

Updates action by accumulating with the transformation matrix of this node (if any).

Reimplemented from SoGroup.

  void SoTransformSeparator::getPrimitiveCount (SoGetPrimitiveCountAction * action) [virtual]
Action method for the SoGetPrimitiveCountAction.

Calculates the number of triangle, line segment and point primitives for the node and adds these to the counters of the action.

Nodes influencing how geometry nodes calculate their primitive count also override this method to change the relevant state variables.

Reimplemented from SoGroup.

  void SoTransformSeparator::audioRender (SoAudioRenderAction * action) [virtual]
Action method for SoAudioRenderAction.

Does common processing for SoAudioRenderAction action instances.

Reimplemented from SoGroup.

Author

Generated automatically by Doxygen for Coin from the source code.